const char INDEX_HTML[] PROGMEM = R"=====(
<!DOCTYPE html>
<html>
<head>
<title>*****</title>
<meta charset="utf-8" />
<meta name=viewport content="width=device-width, initial-scale=1.0 ">
 <style type="text/css">
body {
    text-align: center;
  margin-top: 10px;
  background: #e0e6ea;
   font-family: Verdana, Sans-serif;
   -webkit-user-select: none;
-moz-user-select: none;
-ms-user-select: none;
-o-user-select: none;
user-select: none;
-webkit-appearance: none;
   -moz-appearance: none;
   appearance: none; 
   padding: 0;
   -webkit-font-smoothing: antialiased; 
}


h2 {
    text-align: center;
  line-height: 0.7em;
  font-family: Verdana, Sans-serif;
  padding: 0 0 5px 0;
  font-size: 43px;
}
h3 {
    text-align: center; 
  line-height: 0.2;
  font-family: Verdana, Sans-serif;
  padding: 10px 0 10px 0;
  
}
h4 {
    text-align: center; 
  line-height: 0.1;
  padding: 3px 0 3px 0;
  margin-top: 20px;
  
}

h5 {
    text-align: center; 
  line-height: 1.2;
  padding: 3px 3px 3px 3px;
  margin-top: 3px;
  margin-bottom: 3px;
  
}
a { 
    text-decoration: none; 
  color: black; 
   } 


   a:visited {
    color: black; 
   }   
   
   a:hover {
    color: black;   
    text-decoration: none; 
   }


#log {
  overflow:auto;
}



.container-chart {
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 10px 3px 10px 3px;
  
}


.button {
    background-color: #008CBA; 
    border: none;
    color: white;
    padding: 10px 30px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 12px;
    margin: 4px 2px;
    cursor: pointer;
  border-radius: 8px;
  width: 95px;
  font-family: Verdana, Sans-serif;
  -webkit-appearance:default-button;
  
}
.button2 {background-color: #008CBA; border: none;} /* Blue */
.button3 {background-color: #f44336; border: none;} /* Red */ 
.button4 {background-color: #06e00b; border: none;} /* Green */
.button5 {background-color: #555555; border: none;} /* Black */

.centerB {

    margin: auto;
  
    max-width: 520px;
    padding-bottom: 8px;
    border: 1px solid #e8edf1;
    font-family: Verdana, Sans-serif;
    min-width: 298px;
  background-color: lightblue;
  
}

.centerBC {

    margin: auto;
  
    max-width: 520px;
    padding: 3px 3px 3px 3px;
    border: 1px solid #e8edf1;
    font-family: Verdana, Sans-serif;
    min-width: 298px;
  background-color: lightblue;
  
}

.centerBM {
    display: inline-block;
  margin: auto;
    width: 238px;
    background-color: lightblue;
    border: 6px solid lightblue;
    padding: 3px 3px 3px 3px;
  font-family: Verdana, Sans-serif;
}
.colorT {
background-color: #faf4d9;
}
.colorU {
background-color: #cae5f9;
}
.centerT {
    text-align: center;
  padding: 0px;
}


 .temperatura {
 margin-top: -15px;

    font: 1.8em Verdana, Sans-serif; 
  text-align: center;
   } 

.upravlenie {
 margin-top: 5px;
    font: 95% sans-serif;
  padding: 10px;
   
   }
   .upravlenie-r {
 margin-bottom: 12px;
    font: 95% sans-serif;
  padding: 8px;
   
   } 
      .upravlenie-rb {
 margin-top: 12px;
    font: 95% sans-serif;
  padding: 6px;
  
   }
   
</style>
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
 <script language="javascript" type="text/javascript">

  //var a = 0;
 var rr;
 var gg;
 var bb;
 var connection = new WebSocket('ws://'+location.hostname+':8080/', ['arduino']);
 
 connection.onopen = function () 
 {  
  connection.send('Connect ' + new Date());
 }; 

  connection.onerror = function (error) 
 {    
 };
  
  connection.onmessage = function (e) 
 {  
 
  console.log('Server: ', e.data);
if (e.data .indexOf('A') >= 0 && e.data .indexOf('C') >= 0) {
        sendData = e.data .substring(e.data .indexOf('A') + 1, e.data .indexOf('C'));        
    var substringArray2 = sendData.split(";"); 
  document.getElementById("log4").innerHTML = substringArray2[0].toString(10);
  document.getElementById("log5").innerHTML = substringArray2[1].toString(10);     
google.charts.load('current', {'packages':['corechart']});
      google.charts.setOnLoadCallback(drawChart);
      function drawChart() {	  
	  var fooW = '[' + substringArray2[3].toString() + ']';	
	  var data = new google.visualization.DataTable();    
	  data.addColumn('timeofday', 'Время');
      data.addColumn('number', 'Температура');
		data.addRows(eval(fooW));
        var options = {         
          curveType: 'function',
			   vAxis: {
		  title: 'Температура',
			    gridlines: { count: 4 } //4
		  },
          hAxis: {		  		
      format: 'HH:mm',	 
			 gridlines: {
            count: 5 //4         
          },	  
		  },		  
		  legend: { position: 'bottom' }
        };
        var chart = new google.visualization.LineChart(document.getElementById('curve_chart'));
        chart.draw(data, options);
      }
var bp = substringArray2[2];
  if(bp == "b"){
  document.getElementById('p30').className = document.getElementById('p30').className.replace( /(?:^|\s)button3(?!\S)/g , '' );
  document.getElementById('p26').className += ' button4';
  }
  if(bp == "c"){
  document.getElementById('p26').className = document.getElementById('p26').className.replace( /(?:^|\s)button4(?!\S)/g , '' );
  document.getElementById('p30').className += ' button3';
  } 
}  
};
      function onPwmClick(a)
      {
        var ppp = 'p'+a;
        connection.send(ppp);
      }       
       </script>        
</head>
<body>
       <div class="centerB">     
        <a href="/update.html"><h2><span id="log4">-:-:-</span></h2></a>   
     <div class="temperatura">&nbsp;<b><span id="log5">---</span></b>&#8451;</div>
     </div>
         <br>
<div class="centerB">
  <div class="upravlenie-rb" ><b>УПРАВЛЕНИЕ КОНДИЦИОНЕРОМ</div>
<div class="centerBС colorU">
  <h5>Включить</h5>
<button onclick="onPwmClick(26); return false;" type="button" class="button" id="p26">&Iota;</button>
</div>
<div class="centerBС colorU">
  <h5>Выключить</h5>
<button onclick="onPwmClick(30); return false;" type="button" class="button" id="p30">&Omicron;</button>
  </div>
  </div>
  <div class="centerB">
<div class="container-chart">
<div id="curve_chart" style="width: 100%; height: 200px"></div>
  </div>
  </div>
        </body>
        </html>

)=====";